# NormalId

## Overview

NormalId는 법선 방향을 기준으로 3D 좌표계에서의 방향이나 위치를 지정하는 Enum입니다.

ParticleEmitter의 EmissionDirection 속성, SurfaceGui의 Face 속성, SpotLight의 방향 설정 등에서 사용됩니다.

## Items

| Name   | Value | Description            |
| ------ | ----- | ---------------------- |
| Right  | 0     | 좌표계에서 오른쪽을 가리키는 방향입니다. |
| Top    | 1     | 좌표계에서 위쪽을 가리키는 방향입니다.  |
| Back   | 2     | 좌표계에서 뒤쪽을 가리키는 방향입니다.  |
| Left   | 3     | 좌표계에서 왼쪽을 가리키는 방향입니다.  |
| Bottom | 4     | 좌표계에서 아래쪽을 가리키는 방향입니다. |
| Front  | 5     | 좌표계에서 앞쪽을 가리키는 방향입니다.  |

## See also

{% content-ref url="/pages/4KtiWoXxEXbxn7sobheZ" %}
[ParticleEmitter](/korean/development/api-reference/classes/particleemitter.md)
{% endcontent-ref %}

{% content-ref url="/pages/vfoEAAciDJqzo1wgMhR4" %}
[SurfaceGui](/korean/development/api-reference/classes/surfacegui.md)
{% endcontent-ref %}

{% content-ref url="/pages/DdcpBQpDzIks8MeoMnBU" %}
[SpotLight](/korean/development/api-reference/classes/spotlight.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/normalid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
